Google Web Toolkit
Search Google Code:

# Class RPCRequest

public final class RPCRequest
extends Object
Describes an incoming RPC request in terms of a resolved Method and an array of arguments.

## Constructors

RPCRequest(Method, Object[], SerializationPolicy) | Construct an RPCRequest.

## Methods

getMethod() | Get the request's method.
getParameters() | Get the request's parameters.
getSerializationPolicy() | Returns the SerializationPolicy used to decode this request.

## Constructor Detail

### RPCRequest

public RPCRequest(Method method, Object[] parameters, SerializationPolicy serializationPolicy)
Construct an RPCRequest.

#### Parameters

method
parameters
serializationPolicy

## Method Detail

### getMethod

public Method getMethod()
Get the request's method.

### getParameters

public Object[] getParameters()
Get the request's parameters.

### getSerializationPolicy

public SerializationPolicy getSerializationPolicy()
Returns the SerializationPolicy used to decode this request. This is also the `SerializationPolicy` that should be used to encode responses.

#### Return Value

SerializationPolicy used to decode this request